//! # Friends controller
//!
//! @author Pierre Hubert

use crate::api_data::friend_api::FriendAPI;
use crate::controllers::routes::RequestResult;
use crate::data::http_request_handler::HttpRequestHandler;
use crate::helpers::{account_helper, friends_helper};

/// Get the list of friends of the current user
pub fn get_list(r: &mut HttpRequestHandler) -> RequestResult {
    let list = friends_helper::get_list(&r.user_id()?)?;

    // Update last activity (if allowed)
    if !r.post_bool_opt("incognito", false) {
        account_helper::update_last_activity(&r.user_id()?)?;
    }

    r.set_response(FriendAPI::from_list(&list))
}